Customer

Get customer setup

get
/api/ConsumerApi/v1/Restaurant/{micrositeName}/Customers/Setup

Gets additional information required when registering customers in a restaurant.

Authorizations
HTTPRequired

Bearer token using a JWT

Path parameters
micrositeNamestringRequired

The microsite name.

Query parameters
api-versionstringOptional
Responses
chevron-right
200

OK

Contains basic information about a restaurant.

get
/api/ConsumerApi/v1/Restaurant/{micrositeName}/Customers/Setup
200

OK

Get a customer

get
/api/ConsumerApi/v1/Restaurant/{micrositeName}/Customer/{customerId}

Gets a customer by Id.

Authorizations
HTTPRequired

Bearer token using a JWT

Path parameters
micrositeNamestringRequired

The provider's microsite name.

customerIdinteger · int32Required

The customer Id.

Query parameters
api-versionstringOptional
Responses
chevron-right
200

OK

The customer object is used to store the details of the person who made a particular booking. Each customer is identified by an Id, which is unique to the restaurant group that they were created in. This means that customers are shared between all restaurants in the same group.

The customer has a number of custom fields associated with it. Please note that you will not be able to set these when creating a customer unless the associated custom field has been configured in the restaurant.

Idinteger · int32Optional

The customer's Id - unique within a restaurant group.

TitlestringOptional

The customer's title.

FirstNamestringOptional

The customer's first name.

SurnamestringOptional

The customer's surname (last name).

CompanystringOptional

The customer's company.

DepartmentstringOptional

The customer's department.

EmailstringOptional

The customer's email address.

MobileCountryCodeinteger · int32Optional

The customer's mobile number country code.

MobilestringOptional

The customer's mobile number.

PhoneCountryCodeinteger · int32Optional

The customer's phone number country code.

PhonestringOptional

The customer's phone number.

IsVipbooleanOptional

true if the customer is a VIP, false otherwise.

ReceiveEmailMarketingbooleanOptional

true if the customer wishes to receive email marketing, false otherwise.

ReceiveSmsMarketingbooleanOptional

true if the customer wishes to receive SMS marketing, false otherwise.

CommentsstringOptional

Any comments about the customer.

Birthdaystring · date-timeOptional

The customer's birthday.

Anniversarystring · date-timeOptional

The customer's anniversary.

IsDrinkingAgebooleanOptional

true if the customer is of the legal drinking age, false otherwise.

MembershipIdstringOptional

The customer's membership id.

Field1stringOptional

The customer's first custom field.

Field2stringOptional

The customer's second custom field.

Field3stringOptional

The customer's third custom field.

Field4stringOptional

The customer's fourth custom field.

Field5stringOptional

The customer's fifth custom field.

IsBlockedbooleanOptional

true if the customer is blocked (i.e. not allowed to make bookings), false otherwise.

CustomerCodesinteger · int32[]Optional

An array of the customer code Ids for the customer.

CreatedDateTimestring · date-timeOptional

The date and time that the customer was created.

GroupEmailMarketingOptInTextstringOptional

The email marketing opt in text for the group.

GroupSmsMarketingOptInTextstringOptional

The sms marketing opt in text for the group.

ReceiveRestaurantEmailMarketingbooleanOptional

True if the customer wishes to receive restaurant email marketing, false otherwise.

ReceiveRestaurantSmsMarketingbooleanOptional

True if the customer wishes to receive restaurant sms marketing, false otherwise.

RestaurantEmailMarketingOptInTextstringOptional

The email marketing opt in text for the restaurant.

RestaurantSmsMarketingOptInTextstringOptional

The sms marketing opt in text for the restaurant.

PortalUserIdinteger · int32Optional

The portal user Id of the customer.

IsEmailDeclinedbooleanOptional

If the property is supplied and set as true then the api request/customer has declined to include an email address.

Rankinteger · int32Optional

The customer's rank

get
/api/ConsumerApi/v1/Restaurant/{micrositeName}/Customer/{customerId}
200

OK

Update a customer

put
/api/ConsumerApi/v1/Restaurant/{micrositeName}/Customer/{customerId}

Updates an existing customer.

Authorizations
HTTPRequired

Bearer token using a JWT

Path parameters
micrositeNamestringRequired

The provider's microsite name.

customerIdinteger · int32Required

The Id of the customer.

Query parameters
api-versionstringOptional
Body

A request used to create a restaurant customer.

TitlestringOptional

The customer's title.

FirstNamestringOptional

The customer's first name.

SurnamestringRequired

The customer's surname (last name).

CompanystringOptional

The customer's company.

DepartmentstringOptional

The customer's department.

EmailstringRequired

The customer's email address.

PhoneCountryCodeinteger · int32Optional

The customer's phone number country code.

PhonestringOptional

The customer's phone number.

MobileCountryCodeinteger · int32Optional

The customer's mobile (cell) phone number country code.

MobilestringOptional

The customer's mobile (cell) phone number.

IsVipbooleanOptional

true if the customer is a VIP, false otherwise.

ReceiveEmailMarketingbooleanOptional

true if the customer wishes to receive email marketing, false otherwise.

ReceiveSmsMarketingbooleanOptional

true if the customer wishes to receive SMS marketing, false otherwise.

CommentsstringOptional

Any comments about the customer.

Birthdaystring · date-timeOptional

The customer's birthday.

Anniversarystring · date-timeOptional

The customer's anniversary.

IsDrinkingAgebooleanOptional

true if the customer is of the legal drinking age, false otherwise.

MembershipIdstringOptional

The customer's membership id.

Field1stringOptional

The customer's first custom field.

Field2stringOptional

The customer's second custom field.

Field3stringOptional

The customer's third custom field.

Field4stringOptional

The customer's fourth custom field.

Field5stringOptional

The customer's fifth custom field.

CustomerCodesinteger · int32[]Optional

An array of the customer code Ids for the customer.

IpAddressstringOptional

The IP address where this customer is being created from

CustomerMarketingSourceTypestring · enumOptional

Which Marketing Opt-in setting to use

Possible values:
GroupEmailMarketingOptInTextstringOptional

The email marketing opt in text for the group.

GroupSmsMarketingOptInTextstringOptional

The sms marketing opt in text for the group.

ReceiveRestaurantEmailMarketingbooleanOptional

True if the customer wishes to receive restaurant email marketing, false otherwise.

ReceiveRestaurantSmsMarketingbooleanOptional

True if the customer wishes to receive restaurant sms marketing, false otherwise.

RestaurantEmailMarketingOptInTextstringOptional

The email marketing opt in text for the restaurant.

RestaurantSmsMarketingOptInTextstringOptional

The sms marketing opt in text for the restaurant.

CustomerValidationTypestring · enumOptional

Which Customer Validation Type to use when creating or updating a customer, Defaults to Normal

Possible values:
CustomerTypeIdinteger · int32Optional

The customer type.

Responses
chevron-right
200

OK

The customer object is used to store the details of the person who made a particular booking. Each customer is identified by an Id, which is unique to the restaurant group that they were created in. This means that customers are shared between all restaurants in the same group.

The customer has a number of custom fields associated with it. Please note that you will not be able to set these when creating a customer unless the associated custom field has been configured in the restaurant.

Idinteger · int32Optional

The customer's Id - unique within a restaurant group.

TitlestringOptional

The customer's title.

FirstNamestringOptional

The customer's first name.

SurnamestringOptional

The customer's surname (last name).

CompanystringOptional

The customer's company.

DepartmentstringOptional

The customer's department.

EmailstringOptional

The customer's email address.

MobileCountryCodeinteger · int32Optional

The customer's mobile number country code.

MobilestringOptional

The customer's mobile number.

PhoneCountryCodeinteger · int32Optional

The customer's phone number country code.

PhonestringOptional

The customer's phone number.

IsVipbooleanOptional

true if the customer is a VIP, false otherwise.

ReceiveEmailMarketingbooleanOptional

true if the customer wishes to receive email marketing, false otherwise.

ReceiveSmsMarketingbooleanOptional

true if the customer wishes to receive SMS marketing, false otherwise.

CommentsstringOptional

Any comments about the customer.

Birthdaystring · date-timeOptional

The customer's birthday.

Anniversarystring · date-timeOptional

The customer's anniversary.

IsDrinkingAgebooleanOptional

true if the customer is of the legal drinking age, false otherwise.

MembershipIdstringOptional

The customer's membership id.

Field1stringOptional

The customer's first custom field.

Field2stringOptional

The customer's second custom field.

Field3stringOptional

The customer's third custom field.

Field4stringOptional

The customer's fourth custom field.

Field5stringOptional

The customer's fifth custom field.

IsBlockedbooleanOptional

true if the customer is blocked (i.e. not allowed to make bookings), false otherwise.

CustomerCodesinteger · int32[]Optional

An array of the customer code Ids for the customer.

CreatedDateTimestring · date-timeOptional

The date and time that the customer was created.

GroupEmailMarketingOptInTextstringOptional

The email marketing opt in text for the group.

GroupSmsMarketingOptInTextstringOptional

The sms marketing opt in text for the group.

ReceiveRestaurantEmailMarketingbooleanOptional

True if the customer wishes to receive restaurant email marketing, false otherwise.

ReceiveRestaurantSmsMarketingbooleanOptional

True if the customer wishes to receive restaurant sms marketing, false otherwise.

RestaurantEmailMarketingOptInTextstringOptional

The email marketing opt in text for the restaurant.

RestaurantSmsMarketingOptInTextstringOptional

The sms marketing opt in text for the restaurant.

PortalUserIdinteger · int32Optional

The portal user Id of the customer.

IsEmailDeclinedbooleanOptional

If the property is supplied and set as true then the api request/customer has declined to include an email address.

Rankinteger · int32Optional

The customer's rank

put
/api/ConsumerApi/v1/Restaurant/{micrositeName}/Customer/{customerId}
200

OK

Merges customers

put
/api/ConsumerApi/v1/Restaurant/{micrositeName}/Customers/Merge

Merges a list of customers in to a master customer

Authorizations
HTTPRequired

Bearer token using a JWT

Path parameters
micrositeNamestringRequired

The provider's microsite name.

Query parameters
api-versionstringOptional
Body

A request to merge customers

MergeToCustomerIdinteger · int32Optional

The id of the master customer that other customers are to be merged into.

MergeFromCustomerIdsinteger · int32[]Optional

The ids of the customers that are to be merged in to the master customer (maximum of 10).

Responses
chevron-right
200

OK

The customer object is used to store the details of the person who made a particular booking. Each customer is identified by an Id, which is unique to the restaurant group that they were created in. This means that customers are shared between all restaurants in the same group.

The customer has a number of custom fields associated with it. Please note that you will not be able to set these when creating a customer unless the associated custom field has been configured in the restaurant.

Idinteger · int32Optional

The customer's Id - unique within a restaurant group.

TitlestringOptional

The customer's title.

FirstNamestringOptional

The customer's first name.

SurnamestringOptional

The customer's surname (last name).

CompanystringOptional

The customer's company.

DepartmentstringOptional

The customer's department.

EmailstringOptional

The customer's email address.

MobileCountryCodeinteger · int32Optional

The customer's mobile number country code.

MobilestringOptional

The customer's mobile number.

PhoneCountryCodeinteger · int32Optional

The customer's phone number country code.

PhonestringOptional

The customer's phone number.

IsVipbooleanOptional

true if the customer is a VIP, false otherwise.

ReceiveEmailMarketingbooleanOptional

true if the customer wishes to receive email marketing, false otherwise.

ReceiveSmsMarketingbooleanOptional

true if the customer wishes to receive SMS marketing, false otherwise.

CommentsstringOptional

Any comments about the customer.

Birthdaystring · date-timeOptional

The customer's birthday.

Anniversarystring · date-timeOptional

The customer's anniversary.

IsDrinkingAgebooleanOptional

true if the customer is of the legal drinking age, false otherwise.

MembershipIdstringOptional

The customer's membership id.

Field1stringOptional

The customer's first custom field.

Field2stringOptional

The customer's second custom field.

Field3stringOptional

The customer's third custom field.

Field4stringOptional

The customer's fourth custom field.

Field5stringOptional

The customer's fifth custom field.

IsBlockedbooleanOptional

true if the customer is blocked (i.e. not allowed to make bookings), false otherwise.

CustomerCodesinteger · int32[]Optional

An array of the customer code Ids for the customer.

CreatedDateTimestring · date-timeOptional

The date and time that the customer was created.

GroupEmailMarketingOptInTextstringOptional

The email marketing opt in text for the group.

GroupSmsMarketingOptInTextstringOptional

The sms marketing opt in text for the group.

ReceiveRestaurantEmailMarketingbooleanOptional

True if the customer wishes to receive restaurant email marketing, false otherwise.

ReceiveRestaurantSmsMarketingbooleanOptional

True if the customer wishes to receive restaurant sms marketing, false otherwise.

RestaurantEmailMarketingOptInTextstringOptional

The email marketing opt in text for the restaurant.

RestaurantSmsMarketingOptInTextstringOptional

The sms marketing opt in text for the restaurant.

PortalUserIdinteger · int32Optional

The portal user Id of the customer.

IsEmailDeclinedbooleanOptional

If the property is supplied and set as true then the api request/customer has declined to include an email address.

Rankinteger · int32Optional

The customer's rank

put
/api/ConsumerApi/v1/Restaurant/{micrositeName}/Customers/Merge
200

OK

Create a customer

post
/api/ConsumerApi/v1/Restaurant/{micrositeName}/Customer

Creates a new customer. Note that this will check whether any existing customer matches the details of the new customer you are trying to create (name, email address, etc). If it finds an existing customer that matches the specified details, it will update that existing customer with the new details you've passed in, and return the Id of the existing customer in the response.

When Updating an existing customer record any fields not specified will be ignored and not updated, with the exception of the CustomerCodes field which will be merged with the existing CustomerCodes on the customer record.

Authorizations
HTTPRequired

Bearer token using a JWT

Path parameters
micrositeNamestringRequired

The provider's microsite name.

Query parameters
api-versionstringOptional
Body

A request used to create a restaurant customer.

TitlestringOptional

The customer's title.

FirstNamestringOptional

The customer's first name.

SurnamestringRequired

The customer's surname (last name).

CompanystringOptional

The customer's company.

DepartmentstringOptional

The customer's department.

EmailstringRequired

The customer's email address.

PhoneCountryCodeinteger · int32Optional

The customer's phone number country code.

PhonestringOptional

The customer's phone number.

MobileCountryCodeinteger · int32Optional

The customer's mobile (cell) phone number country code.

MobilestringOptional

The customer's mobile (cell) phone number.

IsVipbooleanOptional

true if the customer is a VIP, false otherwise.

ReceiveEmailMarketingbooleanOptional

true if the customer wishes to receive email marketing, false otherwise.

ReceiveSmsMarketingbooleanOptional

true if the customer wishes to receive SMS marketing, false otherwise.

CommentsstringOptional

Any comments about the customer.

Birthdaystring · date-timeOptional

The customer's birthday.

Anniversarystring · date-timeOptional

The customer's anniversary.

IsDrinkingAgebooleanOptional

true if the customer is of the legal drinking age, false otherwise.

MembershipIdstringOptional

The customer's membership id.

Field1stringOptional

The customer's first custom field.

Field2stringOptional

The customer's second custom field.

Field3stringOptional

The customer's third custom field.

Field4stringOptional

The customer's fourth custom field.

Field5stringOptional

The customer's fifth custom field.

CustomerCodesinteger · int32[]Optional

An array of the customer code Ids for the customer.

IpAddressstringOptional

The IP address where this customer is being created from

CustomerMarketingSourceTypestring · enumOptional

Which Marketing Opt-in setting to use

Possible values:
GroupEmailMarketingOptInTextstringOptional

The email marketing opt in text for the group.

GroupSmsMarketingOptInTextstringOptional

The sms marketing opt in text for the group.

ReceiveRestaurantEmailMarketingbooleanOptional

True if the customer wishes to receive restaurant email marketing, false otherwise.

ReceiveRestaurantSmsMarketingbooleanOptional

True if the customer wishes to receive restaurant sms marketing, false otherwise.

RestaurantEmailMarketingOptInTextstringOptional

The email marketing opt in text for the restaurant.

RestaurantSmsMarketingOptInTextstringOptional

The sms marketing opt in text for the restaurant.

CustomerValidationTypestring · enumOptional

Which Customer Validation Type to use when creating or updating a customer, Defaults to Normal

Possible values:
CustomerTypeIdinteger · int32Optional

The customer type.

Responses
chevron-right
200

OK

The customer object is used to store the details of the person who made a particular booking. Each customer is identified by an Id, which is unique to the restaurant group that they were created in. This means that customers are shared between all restaurants in the same group.

The customer has a number of custom fields associated with it. Please note that you will not be able to set these when creating a customer unless the associated custom field has been configured in the restaurant.

Idinteger · int32Optional

The customer's Id - unique within a restaurant group.

TitlestringOptional

The customer's title.

FirstNamestringOptional

The customer's first name.

SurnamestringOptional

The customer's surname (last name).

CompanystringOptional

The customer's company.

DepartmentstringOptional

The customer's department.

EmailstringOptional

The customer's email address.

MobileCountryCodeinteger · int32Optional

The customer's mobile number country code.

MobilestringOptional

The customer's mobile number.

PhoneCountryCodeinteger · int32Optional

The customer's phone number country code.

PhonestringOptional

The customer's phone number.

IsVipbooleanOptional

true if the customer is a VIP, false otherwise.

ReceiveEmailMarketingbooleanOptional

true if the customer wishes to receive email marketing, false otherwise.

ReceiveSmsMarketingbooleanOptional

true if the customer wishes to receive SMS marketing, false otherwise.

CommentsstringOptional

Any comments about the customer.

Birthdaystring · date-timeOptional

The customer's birthday.

Anniversarystring · date-timeOptional

The customer's anniversary.

IsDrinkingAgebooleanOptional

true if the customer is of the legal drinking age, false otherwise.

MembershipIdstringOptional

The customer's membership id.

Field1stringOptional

The customer's first custom field.

Field2stringOptional

The customer's second custom field.

Field3stringOptional

The customer's third custom field.

Field4stringOptional

The customer's fourth custom field.

Field5stringOptional

The customer's fifth custom field.

IsBlockedbooleanOptional

true if the customer is blocked (i.e. not allowed to make bookings), false otherwise.

CustomerCodesinteger · int32[]Optional

An array of the customer code Ids for the customer.

CreatedDateTimestring · date-timeOptional

The date and time that the customer was created.

GroupEmailMarketingOptInTextstringOptional

The email marketing opt in text for the group.

GroupSmsMarketingOptInTextstringOptional

The sms marketing opt in text for the group.

ReceiveRestaurantEmailMarketingbooleanOptional

True if the customer wishes to receive restaurant email marketing, false otherwise.

ReceiveRestaurantSmsMarketingbooleanOptional

True if the customer wishes to receive restaurant sms marketing, false otherwise.

RestaurantEmailMarketingOptInTextstringOptional

The email marketing opt in text for the restaurant.

RestaurantSmsMarketingOptInTextstringOptional

The sms marketing opt in text for the restaurant.

PortalUserIdinteger · int32Optional

The portal user Id of the customer.

IsEmailDeclinedbooleanOptional

If the property is supplied and set as true then the api request/customer has declined to include an email address.

Rankinteger · int32Optional

The customer's rank

post
/api/ConsumerApi/v1/Restaurant/{micrositeName}/Customer
200

OK

Unsubscribe customers from marketing

post
/api/ConsumerApi/v1/Restaurant/{micrositeName}/Customers/Unsubscribe

Unsubscribes customers from receiving email communications and returns the number of customers that have been successfully unsubscribed.

Authorizations
HTTPRequired

Bearer token using a JWT

Path parameters
micrositeNamestringRequired

The provider's microsite name.

Query parameters
api-versionstringOptional
Body

Represents customers to be unsubscribed.

CustomerIdsinteger · int32[]Required

The customer Ids of the customers to be unsubscribed.

IpAddressstringOptional

The IP address of the device unsubscribing the customers.

CommunicationModestring · enumOptional

The marketing communication mode.

Possible values:
Responses
chevron-right
200

OK

Resultinteger · int32Optional
post
/api/ConsumerApi/v1/Restaurant/{micrositeName}/Customers/Unsubscribe
200

OK

Schedule customers for deletion

post
/api/ConsumerApi/v1/Restaurant/{micrositeName}/Customers/MarkForDeletion

Marks the specified customers for deletion. The customers will immediately be disabled and then any information regarding the customer will be anonymised after a retention period. Customers who still have any outstanding bookings, vouchers or who do not exist in the restaurant group will be skipped.

Authorizations
HTTPRequired

Bearer token using a JWT

Path parameters
micrositeNamestringRequired

The provider's microsite name.

Query parameters
api-versionstringOptional
Body

Represents customers to be deleted.

CustomerIdsinteger · int32[]Required

The customer Ids of the customers to be deleted.

Responses
chevron-right
200

OK

The response when marking customers as deleted.

DeletedCustomerIdsinteger · int32[]Optional

The IDs of any customers that were successfully marked as deleted.

SkippedCustomerIdsinteger · int32[]Optional

The IDs of any customers that were skipped.

post
/api/ConsumerApi/v1/Restaurant/{micrositeName}/Customers/MarkForDeletion
200

OK

Last updated

Was this helpful?